petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoDefaultComputeHessianColor

Computes the Hessian using colored finite differences.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultComputeHessianColor(Tao tao,Vec V,Mat H,Mat B,void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| V | - compute Hessian at this point
| ctx | - the PetscColoring object (must be of type MatFDColoring)

### Output Parameters

| H | - Hessian matrix (not altered in this routine)
| B | - newly computed Hessian matrix to use with preconditioner (generally the same as H)

### See Also

TaoSetHessianRoutine(), TaoDefaultComputeHessian(),SNESComputeJacobianDefaultColor(), TaoSetGradientRoutine()

### Level

advanced

### Location

src/tao/interface/fdiff.c

### Examples

src/tao/unconstrained/examples/tutorials/minsurf2.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages